OrcMapredRecordWriter (ORC MapReduce 1.2.1 API)
Date: 2016-10-19

org.apache.orc.mapred

## Class OrcMapredRecordWriter<V extends Writable>

- java.lang.Object
- - org.apache.orc.mapred.OrcMapredRecordWriter<V>

- All Implemented Interfaces:
    RecordWriter<NullWritable,V>

      public class OrcMapredRecordWriter<V extends Writable>
      extends Object
      implements RecordWriter<NullWritable,V>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrcMapredRecordWriter(Writer writer)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(Reporter reporter)`
    `static void` | `setColumn(TypeDescription schema, ColumnVector vector, int row, Writable value)`
    `void` | `write(NullWritable nullWritable, V v)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrcMapredRecordWriter

          public OrcMapredRecordWriter(Writer writer)

  - ### Method Detail

    - #### setColumn

          public static void setColumn(TypeDescription schema,
                                       ColumnVector vector,
                                       int row,
                                       Writable value)

    - #### write

          public void write(NullWritable nullWritable,
                            V v)
                     throws IOException

      Specified by:
        `write` in interface `RecordWriter<NullWritable,V extends Writable>`
      Throws:
        `IOException`

    - #### close

          public void close(Reporter reporter)
                     throws IOException

      Specified by:
        `close` in interface `RecordWriter<NullWritable,V extends Writable>`
      Throws:
        `IOException`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.